<?php

namespace App\Database\Seeds;

use CodeIgniter\Database\Seeder;
use Faker\Factory;

class OrderSeeder extends Seeder
{
    public function run()
    {
        $faker = Factory::create();
        $orders = [];
        for ($i = 1; $i <= 500; $i++) {
            $orders[$i] = [
                'user_id' => rand(1, 6),
                'status' => 1,
                'total' => rand(500, 2000),
                'note' => "",
                'created_at' => $date = $faker->dateTimeBetween('-3 years', 'now')->format('Y-m-d H:i:s'),
                'updated_at' => $date,
            ];
        }

//        $this->db->table('product')->insert($data);
//        $this->db->table('orders')->insertBatch($orders);

        $products = $this->db->table('product')->select('id, title, slug, price')->get()->getResultArray();

        $order_products = [];
        for ($i = 1; $i <= 1000; $i++) {
            $pr_id = rand(1, 100);
            $order_products[$i] = [
                'order_id' => rand(1, 500),
                'product_id' => $products[$pr_id]['id'],
                'title' => $products[$pr_id]['title'],
                'slug' => $products[$pr_id]['slug'],
                'price' => $products[$pr_id]['price'],
                'qty' => rand(1, 3),
            ];
        }

        $this->db->table('order_product')->insertBatch($order_products);

    }
}
